import { ColumnItem } from '../../../domain/models/ColumnItem.class';
declare const _default: {
    name: string;
    emits: string[];
    props: {
        checkItem: {
            type: typeof ColumnItem;
            required: boolean;
        };
        hasCheck: {
            type: BooleanConstructor;
            default: boolean;
        };
        draggable: {
            type: BooleanConstructor;
            default: boolean;
        };
    };
    components: {};
    data: () => {
        showDatabaseObjects: boolean;
        active: boolean;
        dataTypeIco: string;
    };
    watch: {
        checkItem: {
            handler(item: any): void;
            deep: boolean;
        };
    };
    methods: {
        selectItem(): void;
        itemDoubleClick(): void;
        onDrag(event: any, column: any): void;
        onCtrlClick(): void;
    };
    mounted(): Promise<void>;
};
export default _default;
